Skip to main content
GET
Get binary

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

binary_id
integer<int64>
required

Unique identifier of the binary to retrieve

Response

Returns detailed binary information including metadata and content

id
integer<int64>
required

Binary ID

status
integer
required

Status code:
0 - pending
1 - compiled
2 - compilation failed (errors available)
3 - compilation failed (errors not available)
4 - resulting binary exceeded the limit
5 - unsupported source language

Required range: 0 <= x <= 5
source
integer
required

Source language:
0 - unknown
1 - Rust
2 - JavaScript
3 - Go

Required range: 0 <= x <= 3
api_type
string
required

Wasm API type

unref_since
string

Not used since (UTC)

checksum
string

MD5 hash of the binary